Skip to main content

Workspace External Service Principal

View as Markdown

An external service principal from the customer's Identity Provider, resolved into <Databricks>. This is a read-only resource keyed by the IdP external ID. The Get method may trigger an idempotent sync from the customer's IdP to provision or refresh the service principal's data in <Databricks>.

ExternalServicePrincipal object

An external service principal from the customer's Identity Provider, resolved into <Databricks>. This is a read-only resource keyed by the IdP external ID. The Get method may trigger an idempotent sync from the customer's IdP to provision or refresh the service principal's data in <Databricks>.

namestringBeta

The resource name of the external service principal. The format depends on the API that returned it:

  • Account-scoped: accounts/{account_id}/external-service-principals/{external_service_principal_id}
  • Workspace-scoped: external-service-principals/{external_service_principal_id}
external_service_principal_idstringBeta

The external ID of the service principal in the customer's IdP.

internal_idstringBeta

Internal servicePrincipalId of the service principal in <Databricks>.

application_idstringBeta

Application ID of the service principal, from the customer's IdP.

display_namestringBeta

Display name of the service principal, from the customer's IdP.

account_sp_statusstringBeta

The activity status of the service principal in the <Databricks> account.

Values: STATE_UNSPECIFIED, ACTIVE, INACTIVE

account_idstringBeta

The parent account ID, from <Databricks>.

Get Beta

GET /api/2.0/identity/{name=external-service-principals/*}

Retrieves an external service principal with the given external ID from the customer's IdP. If the service principal does not exist, it will be created. If the customer is not onboarded onto Automatic Identity Management (AIM), this will return an error. Workspace-scoped variant for workspace-authenticated callers.

API scopes: identity

Parameters

namestringRequiredpath

Required. The resource name of the external service principal. Format: external-service-principals/{external_service_principal_id}

Response

Returns the ExternalServicePrincipal object.